Subject: Re: bug#51037: [PATCH] Make `print-level` & `print-length` customizable in ERT batch tests

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 27 Oct 2021 15:15:24 +0200

Michael <[email-masked]> writes:

> I was thinking to augment the docstring for
> `backtrace-line-lenght' to note that print-level & print-length
> will be overiden to honor it.

Sounds good.

> The problem is that I can't know a priori how big I have to set
> them in order to honor print-level & print-length.

No, but I thought the issue was with the corner case where we're almost
up against the limit already?  To work around that, doubling the limit
is fine in this context.

> I think I can short-circuit this entirely by setting
> `backtrace-line-length' to nil or zero before printing the backtrace
> from ert. eval-level shouldn't enter into it I think; the concern was
> that if code exceeded max-lisp-eval-depth, and the debugger was
> triggered, *then* backtrace.el might have problems. Do you see a
> reason to be concerned outside of that corner case?

If that works without upping the limit, then that's fine.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no